Index: drivers/isdn/hisax/diva.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/diva.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/diva.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/diva.c	4 Aug 2004 01:28:58 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: diva.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: diva.c,v 1.2 2004/08/04 01:28:58 joff Exp $
  *
  * low level stuff for Eicon.Diehl Diva Family ISDN cards
  *
@@ -29,7 +29,7 @@
 
 extern const char *CardType[];
 
-const char *Diva_revision = "$Revision: 1.1 $";
+const char *Diva_revision = "$Revision: 1.2 $";
 
 #define byteout(addr,val) outb(val,addr)
 #define bytein(addr) inb(addr)
Index: drivers/isdn/hisax/elsa.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/elsa.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/elsa.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/elsa.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: elsa.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: elsa.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * low level stuff for Elsa isdn cards
  *
@@ -34,7 +34,7 @@
 
 extern const char *CardType[];
 
-const char *Elsa_revision = "$Revision: 1.1 $";
+const char *Elsa_revision = "$Revision: 1.2 $";
 const char *Elsa_Types[] =
 {"None", "PC", "PCC-8", "PCC-16", "PCF", "PCF-Pro",
  "PCMCIA", "QS 1000", "QS 3000", "Microlink PCI", "QS 3000 PCI", 
Index: drivers/isdn/hisax/elsa_cs.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/elsa_cs.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/elsa_cs.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/elsa_cs.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -72,7 +72,7 @@
 MODULE_PARM(pc_debug, "i");
 #define DEBUG(n, args...) if (pc_debug>(n)) printk(KERN_DEBUG args);
 static char *version =
-"elsa_cs.c $Revision: 1.1 $ $Date: 2004/07/22 19:49:56 $ (K.Lichtenwalder)";
+"elsa_cs.c $Revision: 1.2 $ $Date: 2004/08/04 01:28:59 $ (K.Lichtenwalder)";
 #else
 #define DEBUG(n, args...)
 #endif
Index: drivers/isdn/hisax/elsa_ser.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/elsa_ser.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/elsa_ser.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/elsa_ser.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: elsa_ser.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: elsa_ser.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * stuff for the serial modem on ELSA cards
  *
Index: drivers/isdn/hisax/enternow_pci.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/enternow_pci.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/enternow_pci.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/enternow_pci.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -75,7 +75,7 @@
 
 
 
-const char *enternow_pci_rev = "$Revision: 1.1 $";
+const char *enternow_pci_rev = "$Revision: 1.2 $";
 
 
 /* *************************** I/O-Interface functions ************************************* */
Index: drivers/isdn/hisax/fsm.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/fsm.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/fsm.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/fsm.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: fsm.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: fsm.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * Finite state machine
  *
Index: drivers/isdn/hisax/fsm.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/fsm.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/fsm.h	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/fsm.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: fsm.h,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: fsm.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * Finite state machine
  *
Index: drivers/isdn/hisax/gazel.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/gazel.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/gazel.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/gazel.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: gazel.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: gazel.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * low level stuff for Gazel isdn cards
  *
@@ -22,7 +22,7 @@
 #include <linux/pci.h>
 
 extern const char *CardType[];
-const char *gazel_revision = "$Revision: 1.1 $";
+const char *gazel_revision = "$Revision: 1.2 $";
 
 #define R647      1
 #define R685      2
Index: drivers/isdn/hisax/hfc_2bds0.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hfc_2bds0.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hfc_2bds0.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/hfc_2bds0.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hfc_2bds0.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: hfc_2bds0.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * specific routines for CCD's HFC 2BDS0
  *
Index: drivers/isdn/hisax/hfc_2bds0.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hfc_2bds0.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hfc_2bds0.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/hfc_2bds0.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hfc_2bds0.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: hfc_2bds0.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * specific defines for CCD's HFC 2BDS0
  *
Index: drivers/isdn/hisax/hfc_2bs0.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hfc_2bs0.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hfc_2bs0.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/hfc_2bs0.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hfc_2bs0.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: hfc_2bs0.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * specific routines for CCD's HFC 2BS0
  *
Index: drivers/isdn/hisax/hfc_2bs0.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hfc_2bs0.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hfc_2bs0.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/hfc_2bs0.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hfc_2bs0.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: hfc_2bs0.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * specific defines for CCD's HFC 2BS0
  *
Index: drivers/isdn/hisax/hfc_pci.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hfc_pci.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hfc_pci.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/hfc_pci.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hfc_pci.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: hfc_pci.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * low level driver for CCD´s hfc-pci based cards
  *
@@ -26,7 +26,7 @@
 
 extern const char *CardType[];
 
-static const char *hfcpci_revision = "$Revision: 1.1 $";
+static const char *hfcpci_revision = "$Revision: 1.2 $";
 
 /* table entry in the PCI devices list */
 typedef struct {
Index: drivers/isdn/hisax/hfc_pci.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hfc_pci.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hfc_pci.h	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/hfc_pci.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hfc_pci.h,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: hfc_pci.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * specific defines for CCD's HFC 2BDS0 PCI chips
  *
Index: drivers/isdn/hisax/hfc_sx.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hfc_sx.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hfc_sx.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/hfc_sx.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hfc_sx.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: hfc_sx.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * level driver for CCD´s hfc-s+/sp based cards
  *
@@ -21,7 +21,7 @@
 
 extern const char *CardType[];
 
-static const char *hfcsx_revision = "$Revision: 1.1 $";
+static const char *hfcsx_revision = "$Revision: 1.2 $";
 
 /***************************************/
 /* IRQ-table for CCDs demo board       */
Index: drivers/isdn/hisax/hfc_sx.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hfc_sx.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hfc_sx.h	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/hfc_sx.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hfc_sx.h,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: hfc_sx.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * specific defines for CCD's HFC 2BDS0 S+,SP chips
  *
Index: drivers/isdn/hisax/hfcscard.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hfcscard.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hfcscard.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/hfcscard.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hfcscard.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: hfcscard.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * low level stuff for hfcs based cards (Teles3c, ACER P10)
  *
@@ -19,7 +19,7 @@
 
 extern const char *CardType[];
 
-static const char *hfcs_revision = "$Revision: 1.1 $";
+static const char *hfcs_revision = "$Revision: 1.2 $";
 
 static void
 hfcs_interrupt(int intno, void *dev_id, struct pt_regs *regs)
Index: drivers/isdn/hisax/hisax.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hisax.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hisax.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/hisax.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hisax.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: hisax.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * Basic declarations, defines and prototypes
  *
Index: drivers/isdn/hisax/hisax_fcpcipnp.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hisax_fcpcipnp.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hisax_fcpcipnp.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/hisax_fcpcipnp.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -515,6 +515,7 @@
 	}
 	skb_push(bcs->tx_skb, bcs->tx_cnt);
 	bcs->tx_cnt = 0;
+	hdlc_fill_fifo(bcs);
 }
 
 static inline void hdlc_xpr_irq(struct fritz_bcs *bcs)
Index: drivers/isdn/hisax/hscx.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hscx.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hscx.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/hscx.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hscx.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: hscx.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * HSCX specific routines
  *
Index: drivers/isdn/hisax/hscx.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hscx.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hscx.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/hscx.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hscx.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: hscx.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * HSCX specific defines
  *
Index: drivers/isdn/hisax/hscx_irq.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/hscx_irq.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/hscx_irq.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/hscx_irq.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: hscx_irq.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: hscx_irq.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * low level b-channel stuff for Siemens HSCX
  *
Index: drivers/isdn/hisax/icc.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/icc.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/icc.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/icc.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: icc.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: icc.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * ICC specific routines
  *
Index: drivers/isdn/hisax/icc.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/icc.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/icc.h	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/icc.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: icc.h,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: icc.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * ICC specific routines
  *
Index: drivers/isdn/hisax/ipac.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/ipac.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/ipac.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/ipac.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: ipac.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: ipac.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * IPAC specific defines
  *
Index: drivers/isdn/hisax/isac.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/isac.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/isac.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/isac.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isac.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: isac.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * ISAC specific routines
  *
Index: drivers/isdn/hisax/isac.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/isac.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/isac.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/isac.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isac.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: isac.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * ISAC specific defines
  *
Index: drivers/isdn/hisax/isar.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/isar.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/isar.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/isar.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isar.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: isar.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * isar.c   ISAR (Siemens PSB 7110) specific routines
  *
Index: drivers/isdn/hisax/isar.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/isar.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/isar.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/isar.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isar.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: isar.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * ISAR (Siemens PSB 7110) specific defines
  *
Index: drivers/isdn/hisax/isdnl1.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/isdnl1.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/isdnl1.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/isdnl1.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdnl1.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: isdnl1.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * common low level stuff for Siemens Chipsetbased isdn cards
  *
@@ -18,7 +18,7 @@
  *
  */
 
-const char *l1_revision = "$Revision: 1.1 $";
+const char *l1_revision = "$Revision: 1.2 $";
 
 #define __NO_VERSION__
 #include <linux/init.h>
Index: drivers/isdn/hisax/isdnl1.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/isdnl1.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/isdnl1.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/isdnl1.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdnl1.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: isdnl1.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * Layer 1 defines
  *
Index: drivers/isdn/hisax/isdnl2.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/isdnl2.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/isdnl2.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/isdnl2.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdnl2.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: isdnl2.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * Author       Karsten Keil
  *              based on the teles driver from Jan den Ouden
@@ -20,7 +20,7 @@
 #include "hisax.h"
 #include "isdnl2.h"
 
-const char *l2_revision = "$Revision: 1.1 $";
+const char *l2_revision = "$Revision: 1.2 $";
 
 static void l2m_debug(struct FsmInst *fi, char *fmt, ...);
 
Index: drivers/isdn/hisax/isdnl2.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/isdnl2.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/isdnl2.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/isdnl2.h	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdnl2.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: isdnl2.h,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * Layer 2 defines
  *
Index: drivers/isdn/hisax/isdnl3.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/isdnl3.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/isdnl3.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/isdnl3.c	4 Aug 2004 01:28:59 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdnl3.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: isdnl3.c,v 1.2 2004/08/04 01:28:59 joff Exp $
  *
  * Author       Karsten Keil
  *              based on the teles driver from Jan den Ouden
@@ -21,7 +21,7 @@
 #include "isdnl3.h"
 #include <linux/config.h>
 
-const char *l3_revision = "$Revision: 1.1 $";
+const char *l3_revision = "$Revision: 1.2 $";
 
 static struct Fsm l3fsm;
 
Index: drivers/isdn/hisax/isdnl3.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/isdnl3.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/isdnl3.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/isdnl3.h	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isdnl3.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: isdnl3.h,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * This software may be used and distributed according to the terms
  * of the GNU General Public License, incorporated herein by reference.
Index: drivers/isdn/hisax/isurf.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/isurf.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/isurf.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/isurf.c	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: isurf.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: isurf.c,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * low level stuff for Siemens I-Surf/I-Talk cards
  *
@@ -20,7 +20,7 @@
 
 extern const char *CardType[];
 
-static const char *ISurf_revision = "$Revision: 1.1 $";
+static const char *ISurf_revision = "$Revision: 1.2 $";
 
 #define byteout(addr,val) outb(val,addr)
 #define bytein(addr) inb(addr)
@@ -235,8 +235,18 @@
 				pd->prepare(pd);
 				pd->deactivate(pd);
 				pd->activate(pd);
+				/* The ISA-PnP logic apparently
+				 * expects upper limit address to be
+				 * set. Since the isa-pnp module
+				 * doesn't do this, so we have to make
+				 * up for it.
+				 */
+				isapnp_cfg_begin(pd->bus->number, pd->devfn);
+				isapnp_write_word(ISAPNP_CFG_MEM+3, 
+					pd->resource[8].end >> 8);
+				isapnp_cfg_end();
 				cs->hw.isurf.reset = pd->resource[0].start;
-				cs->hw.isurf.phymem = pd->resource[1].start;
+				cs->hw.isurf.phymem = pd->resource[8].start;
 				cs->irq = pd->irq_resource[0].start;
 				if (!cs->irq || !cs->hw.isurf.reset || !cs->hw.isurf.phymem) {
 					printk(KERN_ERR "ISurfPnP:some resources are missing %d/%x/%lx\n",
Index: drivers/isdn/hisax/ix1_micro.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/ix1_micro.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/ix1_micro.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/ix1_micro.c	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: ix1_micro.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: ix1_micro.c,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * low level stuff for ITK ix1-micro Rev.2 isdn cards
  * derived from the original file teles3.c from Karsten Keil
@@ -26,7 +26,7 @@
 #include "isdnl1.h"
 
 extern const char *CardType[];
-const char *ix1_revision = "$Revision: 1.1 $";
+const char *ix1_revision = "$Revision: 1.2 $";
 
 #define byteout(addr,val) outb(val,addr)
 #define bytein(addr) inb(addr)
Index: drivers/isdn/hisax/jade.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/jade.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/jade.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/jade.c	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: jade.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: jade.c,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * JADE stuff (derived from original hscx.c)
  *
Index: drivers/isdn/hisax/jade.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/jade.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/jade.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/jade.h	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: jade.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: jade.h,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * JADE specific defines
  *
Index: drivers/isdn/hisax/jade_irq.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/jade_irq.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/jade_irq.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/jade_irq.c	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: jade_irq.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: jade_irq.c,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * Low level JADE IRQ stuff (derived from original hscx_irq.c)
  *
Index: drivers/isdn/hisax/l3_1tr6.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/l3_1tr6.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/l3_1tr6.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/l3_1tr6.c	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: l3_1tr6.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: l3_1tr6.c,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * German 1TR6 D-channel protocol
  *
@@ -20,7 +20,7 @@
 #include <linux/ctype.h>
 
 extern char *HiSax_getrev(const char *revision);
-const char *l3_1tr6_revision = "$Revision: 1.1 $";
+const char *l3_1tr6_revision = "$Revision: 1.2 $";
 
 #define MsgHead(ptr, cref, mty, dis) \
 	*ptr++ = dis; \
Index: drivers/isdn/hisax/l3_1tr6.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/l3_1tr6.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/l3_1tr6.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/l3_1tr6.h	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: l3_1tr6.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: l3_1tr6.h,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * German 1TR6 D-channel protocol defines
  *
Index: drivers/isdn/hisax/l3dss1.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/l3dss1.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/l3dss1.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/l3dss1.c	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: l3dss1.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: l3dss1.c,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * EURO/DSS1 D-channel protocol
  *
@@ -27,7 +27,7 @@
 #include <linux/config.h>
 
 extern char *HiSax_getrev(const char *revision);
-const char *dss1_revision = "$Revision: 1.1 $";
+const char *dss1_revision = "$Revision: 1.2 $";
 
 #define EXT_BEARER_CAPS 1
 
Index: drivers/isdn/hisax/l3dss1.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/l3dss1.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/l3dss1.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/l3dss1.h	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: l3dss1.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: l3dss1.h,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * DSS1 (Euro) D-channel protocol defines
  *
Index: drivers/isdn/hisax/l3ni1.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/l3ni1.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/l3ni1.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/l3ni1.c	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: l3ni1.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: l3ni1.c,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * NI1 D-channel protocol
  *
@@ -25,7 +25,7 @@
 #include <linux/ctype.h>
 
 extern char *HiSax_getrev(const char *revision);
-const char *ni1_revision = "$Revision: 1.1 $";
+const char *ni1_revision = "$Revision: 1.2 $";
 
 #define EXT_BEARER_CAPS 1
 
Index: drivers/isdn/hisax/l3ni1.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/l3ni1.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/l3ni1.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/l3ni1.h	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: l3ni1.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: l3ni1.h,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * NI1 D-channel protocol
  *
Index: drivers/isdn/hisax/lmgr.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/lmgr.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/lmgr.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/lmgr.c	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: lmgr.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: lmgr.c,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * Layermanagement module
  *
Index: drivers/isdn/hisax/mic.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/mic.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/mic.c	22 Jul 2004 19:49:56 -0000	1.1
+++ drivers/isdn/hisax/mic.c	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: mic.c,v 1.1 2004/07/22 19:49:56 joff Exp $
+/* $Id: mic.c,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * low level stuff for mic cards
  *
@@ -19,7 +19,7 @@
 
 extern const char *CardType[];
 
-const char *mic_revision = "$Revision: 1.1 $";
+const char *mic_revision = "$Revision: 1.2 $";
 
 #define byteout(addr,val) outb(val,addr)
 #define bytein(addr) inb(addr)
Index: drivers/isdn/hisax/netjet.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/netjet.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/netjet.c	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/netjet.c	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: netjet.c,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: netjet.c,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * low level stuff for Traverse Technologie NETJet ISDN cards
  *
@@ -26,7 +26,7 @@
 #include <asm/io.h>
 #include "netjet.h"
 
-const char *NETjet_revision = "$Revision: 1.1 $";
+const char *NETjet_revision = "$Revision: 1.2 $";
 
 /* Interface functions */
 
Index: drivers/isdn/hisax/netjet.h
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/isdn/hisax/netjet.h,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/isdn/hisax/netjet.h	22 Jul 2004 19:49:57 -0000	1.1
+++ drivers/isdn/hisax/netjet.h	4 Aug 2004 01:29:00 -0000	1.2
@@ -1,4 +1,4 @@
-/* $Id: netjet.h,v 1.1 2004/07/22 19:49:57 joff Exp $
+/* $Id: netjet.h,v 1.2 2004/08/04 01:29:00 joff Exp $
  *
  * NETjet common header file
  *
